[ubuntu/oneiric] postgresql-9.1 9.1~rc1-2 (Accepted)

Martin Pitt martin.pitt at ubuntu.com
Thu Aug 25 12:21:16 UTC 2011


postgresql-9.1 (9.1~rc1-2) unstable; urgency=low

  * debian/control: Build the versionless metapackages again, and point them
    to 9.1.

postgresql-9.1 (9.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable now that the final 9.1 release will come soon. 9.1 will
    most probably be the version supported in the Wheezy release.
  * 54-debian-alternatives-for-external-tools.patch: Unfuzz for new release.
  * debian/control: Suggest locales-all. (Closes: #629875)
  * debian/control: Wrap dependencies.
  * debian/control: Add explicit jade build dependency. (see #621492 for the
    corresponding 9.0 bug report)

postgresql-9.1 (9.1~beta3-1) experimental; urgency=low

  * New upstream beta release.
    - Works around gcc 4.6.0 bug. (Closes: #633086)

    Note that this does not change the data format since Beta 2, so no need
    to dump/reload clusters.

postgresql-9.1 (9.1~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Drop 03-cmsgcred-size.patch, fixed upstream.
  * debian/postgresql-9.1.install: Install new pg_basebackup translations.
  * debian/control: Fix the server-dev dependency to p-common to also work for
    backports.
  * debian/watch: Fix for beta versions.
  * debian/copyright: Add pointers to GPL and Artistic licenses for the Perl
    terms.
  * debian/postgresql-9.1.preinst: Fail the package upgrade early when
    upgrading from beta-1, as the DB format changed.

postgresql-9.1 (9.1~beta1-4) experimental; urgency=low

  * debian/control: Add postgresql-common dependency to -server-dev, so that
    we get the pg_config diversion.
  * 52-tutorial-README.patch: Fix server-dev version in comment.
  * 51-default-sockets-in-var.patch: Move the pg_regress patching parts to
    debian/pg_regress-in-tmp.patch and temporarily apply it only for running
    the local checks. In the installed system it seems we actually do want it
    to use the /var/run/postgresql socket dir. (Closes: #554166)

postgresql-9.1 (9.1~beta1-3) experimental; urgency=low

  * Move /usr/share/postgresql/9.1/extension/pl* from -contrib into the actual
    -pl* packages, and ship PL/pgsql in postgresql-9.1.
  * debian/copyright: Convert to DEP-5.
  * debian/copyright: Add current copyrights, thanks to Ansgar Burchardt for
    noticing.
  * Add 03-cmsgcred-size.patch: Fix size of struct cmsgcred to fix ident
    authentication on kFreeBSD 64 bit. Thanks to Petr Salinger for the
    patch! (Closes: #627597)

postgresql-9.1 (9.1~beta1-2) experimental; urgency=low

  * debian/control: Add missing ${misc:Depends} to -dbg.
  * Bump Standards-Version to 3.9.2 (no changes necessary).
  * debian/rules: Fix FTBFS with only-binary (-B) builds.

postgresql-9.1 (9.1~beta1-1) experimental; urgency=low

  * First 9.1 beta release. Packaging based on 9.1 branch.
  * debian/control: Do not build the versionless metapackages for now, as long
    as 9.0 is still the default.

Date: Thu, 25 Aug 2011 12:50:45 +0200
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Maintainer: Martin Pitt <mpitt at debian.org>
Origin: debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/postgresql-9.1/9.1~rc1-2
-------------- next part --------------
Origin: debian/unstable
Format: 1.8
Date: Thu, 25 Aug 2011 12:50:45 +0200
Source: postgresql-9.1
Binary: libpq-dev libpq5 libecpg6 libecpg-dev libecpg-compat3 libpgtypes3 postgresql-9.1 postgresql-9.1-dbg postgresql-client-9.1 postgresql-server-dev-9.1 postgresql-doc-9.1 postgresql-contrib-9.1 postgresql-plperl-9.1 postgresql-plpython-9.1 postgresql-pltcl-9.1 postgresql postgresql-client postgresql-doc postgresql-contrib
Architecture: source
Version: 9.1~rc1-2
Distribution: oneiric
Urgency: low
Maintainer: Martin Pitt <mpitt at debian.org>
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Description: 
 libecpg-compat3 - older version of run-time library for ECPG programs
 libecpg-dev - development files for ECPG (Embedded PostgreSQL for C)
 libecpg6   - run-time library for ECPG programs
 libpgtypes3 - shared library libpgtypes for PostgreSQL 9.1
 libpq-dev  - header files for libpq5 (PostgreSQL library)
 libpq5     - PostgreSQL C client library
 postgresql - object-relational SQL database (supported version)
 postgresql-9.1 - object-relational SQL database, version 9.1 server
 postgresql-9.1-dbg - debug symbols for postgresql-9.1
 postgresql-client - front-end programs for PostgreSQL (supported version)
 postgresql-client-9.1 - front-end programs for PostgreSQL 9.1
 postgresql-contrib - additional facilities for PostgreSQL (supported version)
 postgresql-contrib-9.1 - additional facilities for PostgreSQL
 postgresql-doc - documentation for the PostgreSQL database management system
 postgresql-doc-9.1 - documentation for the PostgreSQL database management system
 postgresql-plperl-9.1 - PL/Perl procedural language for PostgreSQL 9.1
 postgresql-plpython-9.1 - PL/Python procedural language for PostgreSQL 9.1
 postgresql-pltcl-9.1 - PL/Tcl procedural language for PostgreSQL 9.1
 postgresql-server-dev-9.1 - development files for PostgreSQL 9.1 server-side programming
Closes: 554166 627597 629875 633086
Changes: 
 postgresql-9.1 (9.1~rc1-2) unstable; urgency=low
 .
   * debian/control: Build the versionless metapackages again, and point them
     to 9.1.
 .
 postgresql-9.1 (9.1~rc1-1) unstable; urgency=low
 .
   * New upstream release.
   * Upload to unstable now that the final 9.1 release will come soon. 9.1 will
     most probably be the version supported in the Wheezy release.
   * 54-debian-alternatives-for-external-tools.patch: Unfuzz for new release.
   * debian/control: Suggest locales-all. (Closes: #629875)
   * debian/control: Wrap dependencies.
   * debian/control: Add explicit jade build dependency. (see #621492 for the
     corresponding 9.0 bug report)
 .
 postgresql-9.1 (9.1~beta3-1) experimental; urgency=low
 .
   * New upstream beta release.
     - Works around gcc 4.6.0 bug. (Closes: #633086)
 .
     Note that this does not change the data format since Beta 2, so no need
     to dump/reload clusters.
 .
 postgresql-9.1 (9.1~beta2-1) experimental; urgency=low
 .
   * New upstream beta release.
   * Drop 03-cmsgcred-size.patch, fixed upstream.
   * debian/postgresql-9.1.install: Install new pg_basebackup translations.
   * debian/control: Fix the server-dev dependency to p-common to also work for
     backports.
   * debian/watch: Fix for beta versions.
   * debian/copyright: Add pointers to GPL and Artistic licenses for the Perl
     terms.
   * debian/postgresql-9.1.preinst: Fail the package upgrade early when
     upgrading from beta-1, as the DB format changed.
 .
 postgresql-9.1 (9.1~beta1-4) experimental; urgency=low
 .
   * debian/control: Add postgresql-common dependency to -server-dev, so that
     we get the pg_config diversion.
   * 52-tutorial-README.patch: Fix server-dev version in comment.
   * 51-default-sockets-in-var.patch: Move the pg_regress patching parts to
     debian/pg_regress-in-tmp.patch and temporarily apply it only for running
     the local checks. In the installed system it seems we actually do want it
     to use the /var/run/postgresql socket dir. (Closes: #554166)
 .
 postgresql-9.1 (9.1~beta1-3) experimental; urgency=low
 .
   * Move /usr/share/postgresql/9.1/extension/pl* from -contrib into the actual
     -pl* packages, and ship PL/pgsql in postgresql-9.1.
   * debian/copyright: Convert to DEP-5.
   * debian/copyright: Add current copyrights, thanks to Ansgar Burchardt for
     noticing.
   * Add 03-cmsgcred-size.patch: Fix size of struct cmsgcred to fix ident
     authentication on kFreeBSD 64 bit. Thanks to Petr Salinger for the
     patch! (Closes: #627597)
 .
 postgresql-9.1 (9.1~beta1-2) experimental; urgency=low
 .
   * debian/control: Add missing ${misc:Depends} to -dbg.
   * Bump Standards-Version to 3.9.2 (no changes necessary).
   * debian/rules: Fix FTBFS with only-binary (-B) builds.
 .
 postgresql-9.1 (9.1~beta1-1) experimental; urgency=low
 .
   * First 9.1 beta release. Packaging based on 9.1 branch.
   * debian/control: Do not build the versionless metapackages for now, as long
     as 9.0 is still the default.
Checksums-Sha1: 
 5281bb25e46e5727f07a7d6574743b3bc996786b 2469 postgresql-9.1_9.1~rc1-2.dsc
 865eb45133e260615601d7698f701e725dc7c82b 14775428 postgresql-9.1_9.1~rc1.orig.tar.bz2
 36a60a33ea7d39eb57f54c41dd34f6380287a12c 20069 postgresql-9.1_9.1~rc1-2.debian.tar.gz
Checksums-Sha256: 
 7a4bd20783b7e2fd7084b899310be20383af48c520633cf8420c3d8563c68ac7 2469 postgresql-9.1_9.1~rc1-2.dsc
 accfb0c20068a94abd943871058b82fd287b42eb71f057544ea2cfed221819e8 14775428 postgresql-9.1_9.1~rc1.orig.tar.bz2
 113845c8d483286e4fe09851702b4f3c48f09fedeb9a173c58b92b8660410ddd 20069 postgresql-9.1_9.1~rc1-2.debian.tar.gz
Files: 
 85ffaa20bd93e55ba11a2c06a7ac2000 2469 database optional postgresql-9.1_9.1~rc1-2.dsc
 0e1232bfb897b29a4ab35fd4dcdf2cb7 14775428 database optional postgresql-9.1_9.1~rc1.orig.tar.bz2
 4861bdbb0a239bc7bd36e8186de64121 20069 database optional postgresql-9.1_9.1~rc1-2.debian.tar.gz


More information about the Oneiric-changes mailing list